! create a morlet wavelet
program mkmorlet
	use sep

	implicit none

	integer, external					:: srite
	real, allocatable, dimension (:)	:: Fout			! output data
	integer								:: n1
	integer								:: i1
	real								:: d1, o1, v1

	call sep_init()

	call from_param ("n1", n1, 256)
	call from_param ("o1", o1, -4.)
	call from_param ("d1", d1, 0.03125) 

	! write out history file parameters
	call sep_put_data_axis_par ("out", 1, n1, o1, d1, "time (sec)")

	call sep_close()

	allocate (Fout (n1))
	Fout = 0.

	do i1=1,n1
		v1=o1+d1*(i1-1)
		Fout (i1) = exp(-v1**2/2) * cos (5*v1)
	end do

	if (srite ("out", Fout, n1 * sizeof (Fout (1))) .eq. 0) call seperr ("error writing to output");

end program
